# Interface DataIdentification

All Superinterfaces:
  `Identification`

All Known Implementing Classes:
  `DefaultDataIdentification`

@UML(identifier="MD_DataIdentification", specification=ISO_19115) public interface DataIdentification extends Identification
Information required to identify a dataset.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<CharacterSet>`
  `getCharacterSets()`
  Full name of the character coding standard(s) used for the dataset.
  `InternationalString`
  `getEnvironmentDescription()`
  Description of the dataset in the producer's processing environment, including items such as the software, the computer operating system, file name, and the dataset size.
  `Collection<? extends Extent>`
  `getExtents()`
  Additional extent information including the bounding polygon, vertical, and temporal extent of the dataset.
  `Collection<Locale>`
  `getLanguages()`
  Language(s) used within the dataset.
  `Collection<SpatialRepresentationType>`
  `getSpatialRepresentationTypes()`
  Method used to spatially represent geographic information.
  `Collection<? extends Resolution>`
  `getSpatialResolutions()`
  Factor which provides a general understanding of the density of spatial data in the dataset.
  `InternationalString`
  `getSupplementalInformation()`
  Any other descriptive information about the dataset.
  `Collection<TopicCategory>`
  `getTopicCategories()`
  Main theme(s) of the dataset.

  ### Methods inherited from interface Identification

  `getAbstract, getAggregationInfo, getCitation, getCredits, getDescriptiveKeywords, getGraphicOverviews, getPointOfContacts, getPurpose, getResourceConstraints, getResourceFormats, getResourceMaintenances, getResourceSpecificUsages, getStatus`

- ## Method Details

  - ### getSpatialRepresentationTypes

    @Profile(level=CORE) @UML(identifier="spatialRepresentationType", obligation=OPTIONAL, specification=ISO_19115) Collection<SpatialRepresentationType> getSpatialRepresentationTypes()
    Method used to spatially represent geographic information.
    Returns:
      Method(s) used to spatially represent geographic information.

  - ### getSpatialResolutions

    @Profile(level=CORE) @UML(identifier="spatialResolution", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends Resolution> getSpatialResolutions()
    Factor which provides a general understanding of the density of spatial data in the dataset.
    Returns:
      Factor which provides a general understanding of the density of spatial data.

  - ### getLanguages

    @Profile(level=CORE) @UML(identifier="language", obligation=MANDATORY, specification=ISO_19115) Collection<Locale> getLanguages()
    Language(s) used within the dataset.
    Returns:
      Language(s) used.

  - ### getCharacterSets

    @Profile(level=CORE) @UML(identifier="characterSet", obligation=CONDITIONAL, specification=ISO_19115) Collection<CharacterSet> getCharacterSets()
    Full name of the character coding standard(s) used for the dataset.
    Returns:
      Name(s) of the character coding standard(s) used.

  - ### getTopicCategories

    @Profile(level=CORE) @UML(identifier="topicCategory", obligation=CONDITIONAL, specification=ISO_19115) Collection<TopicCategory> getTopicCategories()
    Main theme(s) of the dataset.
    Returns:
      Main theme(s).

  - ### getEnvironmentDescription

    @UML(identifier="environmentDescription", obligation=OPTIONAL, specification=ISO_19115) InternationalString getEnvironmentDescription()
    Description of the dataset in the producer's processing environment, including items such as the software, the computer operating system, file name, and the dataset size.
    Returns:
      Description of the dataset in the producer's processing environment, or `null`.

  - ### getExtents

    @Profile(level=CORE) @UML(identifier="extent", obligation=CONDITIONAL, specification=ISO_19115) Collection<? extends Extent> getExtents()
    Additional extent information including the bounding polygon, vertical, and temporal extent of the dataset.
    Returns:
      Additional extent information.

  - ### getSupplementalInformation

    @UML(identifier="supplementalInformation", obligation=OPTIONAL, specification=ISO_19115) InternationalString getSupplementalInformation()
    Any other descriptive information about the dataset.
    Returns:
      Other descriptive information, or `null`.